Package de.willuhn.jameica.hbci.passports.pintan

# Class DecoupledTANDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.passports.pintan.TANDialog
de.willuhn.jameica.hbci.passports.pintan.DecoupledTANDialog

public class DecoupledTANDialog extends TANDialog
Dialog für Decouple Verfahren ohne Eingabe einer TAN.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.passports.pintan.TANDialog

`config, i18n, WINDOW_HEIGHT, WINDOW_WIDTH`

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`DecoupledTANDialog(PinTanConfig config)`
ct.

## Method Summary

### Methods inherited from class de.willuhn.jameica.hbci.passports.pintan.TANDialog

`extendBottom, extendTop, getContext, getData, paint, setContext, setInfoText, setNeedTAN, setShowTAN, setTAN, setText`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecoupledTANDialog

public DecoupledTANDialog(PinTanConfig config) throws RemoteException
ct.

Parameters:
  `config` - die PINTAN-Config.
Throws:
  `RemoteException`